summaryrefslogtreecommitdiff
path: root/app-office/do-libreoffice-bump.sh
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2015-01-14 02:35:34 +0200
committerBlackNoxis <steven.darklight@gmail.com>2015-01-14 02:35:34 +0200
commitaa643a9c90fd5b26791a987784ba0209bdbd3fb7 (patch)
treedb7ab20234d982137174e61251a77f452d4c60ba /app-office/do-libreoffice-bump.sh
parentf86d4e7da4d5a21761cc8764306908503d291ded (diff)
Added all the lang packs
Diffstat (limited to 'app-office/do-libreoffice-bump.sh')
-rwxr-xr-xapp-office/do-libreoffice-bump.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/app-office/do-libreoffice-bump.sh b/app-office/do-libreoffice-bump.sh
new file mode 100755
index 00000000..bf3447cc
--- /dev/null
+++ b/app-office/do-libreoffice-bump.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+FROM_PV="4.2.5"
+TO_PV="4.2.6"
+FAILED_LANGS=""
+DONE_LANGS=""
+for item in `find -name libreoffice-l10n-*${FROM_PV}*.ebuild`; do
+
+ echo $item
+ newfile=${item/${FROM_PV}/${TO_PV}}
+ cp "${item}" "${newfile}" || exit 1
+
+ # do manifest
+ ebuild "${newfile}" manifest
+ if [ "$?" != "0" ]; then
+ FAILED_LANGS="${FAILED_LANGS} ${newfile}"
+ rm "${newfile}"
+ else
+ DONE_LANGS="${DONE_LANGS} ${newfile}"
+ git add "${newfile}"
+ fi
+
+done
+
+echo "FAILED => ${FAILED_LANGS}"
+echo "DONE => ${DONE_LANGS}"